package com.foreverwin.mesnac.equip.dto;

import com.foreverwin.mesnac.equip.model.ResourceInspectTaskParam;
import com.foreverwin.mesnac.equip.model.ResourceInspectTaskSpare;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 设备检验任务实体类
 * </p>
 *
 * @author pavel.Liu
 * @since 2021-06-24
 */

public class ResourceInspectTaskDto implements Serializable {

    /**序号**/
    private Integer itemSeq;
    /**主键**/
    private String handle;
    /**站点**/
    private String site;
    /**任务编号**/
    private String taskNo;
    /**类型(自动AUTO/手动)**/
    private String category;
    /**任务描述**/
    private String description;
    /**任务状态(新建/处理中/完成/关闭)**/
    private String status;
    /**设备检验计划HANDLE**/
    private String resourceInspectPlanBo;
    /**检验项目清单HANDLE**/
    private String inspectionItemBo;
    /**设备HANDLE**/
    private String resourceBo;
    /**检验结果**/
    private String result;
    /**任务创建时间**/
    private LocalDateTime taskCreateDate;
    /**计划开始时间**/
    private LocalDateTime planStartDate;
    /**计划完成时间**/
    private LocalDateTime planCompleteDate;
    /**实际开始时间**/
    private LocalDateTime actualStartDate;
    /**实际完成时间**/
    private LocalDateTime actualCompleteDate;
    /**执行人**/
    private String executor;
    /**执行人**/
    private String executorName;
    /**备注**/
    private String remark;
    /**检索时间段的开始时间**/
    private String compareStartDate;
    /**检索时间段的结束时间**/
    private String compareEndDate;
    /**设备编号NO**/
    private String resrce;
    /**设备描述**/
    private String resourceDescription;
    /**设备类型编号NO**/
    private String resourceTypeNo;
    /**设备类型描述**/
    private String resourceTypeDescription;
    /**设备类型HANDLE**/
    private String resourceTypeBo;
    /**计划编号NO**/
    private String planNo;
    /**点检计划版本**/
    private String planRevision;
    /**计划描述**/
    private String planDescription;
    /**频率**/
    private String frequency;
    /**周期单位**/
    private String frequencyUnit;
    /**周期**/
    private String cycle;
    /**当前用户**/
    private String currentUser;
    /**车间**/
    private String workCenter;
    /**任务检验项明细**/
    private List<ResourceInspectTaskParam> taskItemDetailList;
    /**消耗备品**/
    private List<ResourceInspectTaskSpare> spareList;
    /**用户名称**/
    private String fullName;
    /**任务执行日期**/
    private String taskDay;


    public String getTaskDay() {
        return taskDay;
    }

    public void setTaskDay(String taskDay) {
        this.taskDay = taskDay;
    }

    public String getFullName() {
        return fullName;
    }

    public void setFullName(String fullName) {
        this.fullName = fullName;
    }

    public Integer getItemSeq() {
        return itemSeq;
    }

    public void setItemSeq(Integer itemSeq) {
        this.itemSeq = itemSeq;
    }

    public String getCompareStartDate() {
        return compareStartDate;
    }

    public void setCompareStartDate(String compareStartDate) {
        this.compareStartDate = compareStartDate;
    }

    public String getCompareEndDate() {
        return compareEndDate;
    }

    public void setCompareEndDate(String compareEndDate) {
        this.compareEndDate = compareEndDate;
    }

    public List<ResourceInspectTaskParam> getTaskItemDetailList() {
        return taskItemDetailList;
    }

    public void setTaskItemDetailList(List<ResourceInspectTaskParam> taskItemDetailList) {
        this.taskItemDetailList = taskItemDetailList;
    }

    public List<ResourceInspectTaskSpare> getSpareList() {
        return spareList;
    }

    public void setSpareList(List<ResourceInspectTaskSpare> spareList) {
        this.spareList = spareList;
    }

    public ResourceInspectTaskDto() {
    }

    public String getResrce() {
        return resrce;
    }

    public void setResrce(String resrce) {
        this.resrce = resrce;
    }

    public String getResourceDescription() {
        return resourceDescription;
    }

    public void setResourceDescription(String resourceDescription) {
        this.resourceDescription = resourceDescription;
    }

    public String getPlanRevision() {
        return planRevision;
    }

    public void setPlanRevision(String planRevision) {
        this.planRevision = planRevision;
    }

    public String getPlanNo() {
        return planNo;
    }

    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }

    public String getPlanDescription() {
        return planDescription;
    }

    public void setPlanDescription(String planDescription) {
        this.planDescription = planDescription;
    }

    public String getCycle() {
        return cycle;
    }

    public void setCycle(String cycle) {
        this.cycle = cycle;
    }

    public String getFrequency() {
        return frequency;
    }

    public void setFrequency(String frequency) {
        this.frequency = frequency;
    }

    public String getFrequencyUnit() {
        return frequencyUnit;
    }

    public void setFrequencyUnit(String frequencyUnit) {
        this.frequencyUnit = frequencyUnit;
    }

    public String getHandle() {
        return handle;
    }

    public void setHandle(String handle) {
        this.handle = handle;
    }

    public String getSite() {
        return site;
    }

    public void setSite(String site) {
        this.site = site;
    }

    public String getTaskNo() {
        return taskNo;
    }

    public void setTaskNo(String taskNo) {
        this.taskNo = taskNo;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getResourceInspectPlanBo() {
        return resourceInspectPlanBo;
    }

    public void setResourceInspectPlanBo(String resourceInspectPlanBo) {
        this.resourceInspectPlanBo = resourceInspectPlanBo;
    }

    public String getInspectionItemBo() {
        return inspectionItemBo;
    }

    public void setInspectionItemBo(String inspectionItemBo) {
        this.inspectionItemBo = inspectionItemBo;
    }

    public String getResourceBo() {
        return resourceBo;
    }

    public void setResourceBo(String resourceBo) {
        this.resourceBo = resourceBo;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    public LocalDateTime getTaskCreateDate() {
        return taskCreateDate;
    }

    public void setTaskCreateDate(LocalDateTime taskCreateDate) {
        this.taskCreateDate = taskCreateDate;
    }

    public LocalDateTime getPlanStartDate() {
        return planStartDate;
    }

    public void setPlanStartDate(LocalDateTime planStartDate) {
        this.planStartDate = planStartDate;
    }

    public LocalDateTime getPlanCompleteDate() {
        return planCompleteDate;
    }

    public void setPlanCompleteDate(LocalDateTime planCompleteDate) {
        this.planCompleteDate = planCompleteDate;
    }

    public LocalDateTime getActualStartDate() {
        return actualStartDate;
    }

    public void setActualStartDate(LocalDateTime actualStartDate) {
        this.actualStartDate = actualStartDate;
    }

    public LocalDateTime getActualCompleteDate() {
        return actualCompleteDate;
    }

    public void setActualCompleteDate(LocalDateTime actualCompleteDate) {
        this.actualCompleteDate = actualCompleteDate;
    }

    public String getExecutor() {
        return executor;
    }

    public void setExecutor(String executor) {
        this.executor = executor;
    }

    public String getExecutorName() {
        return executorName;
    }

    public void setExecutorName(String executorName) {
        this.executorName = executorName;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getCurrentUser() {
        return currentUser;
    }

    public void setCurrentUser(String currentUser) {
        this.currentUser = currentUser;
    }

    public String getResourceTypeNo() {
        return resourceTypeNo;
    }

    public void setResourceTypeNo(String resourceTypeNo) {
        this.resourceTypeNo = resourceTypeNo;
    }

    public String getResourceTypeDescription() {
        return resourceTypeDescription;
    }

    public void setResourceTypeDescription(String resourceTypeDescription) {
        this.resourceTypeDescription = resourceTypeDescription;
    }

    public String getResourceTypeBo() {
        return resourceTypeBo;
    }

    public void setResourceTypeBo(String resourceTypeBo) {
        this.resourceTypeBo = resourceTypeBo;
    }

    public String getWorkCenter() {
        return workCenter;
    }

    public void setWorkCenter(String workCenter) {
        this.workCenter = workCenter;
    }
}